hostname svetlusak
password klfzebra3
enable password klfzebra3
!log syslog
log stdout
!log file /var/log/quagga/ospfd.log
!log record-priority
!service advanced-vty
!
interface lo
!
interface dummy0
 description dummy-IP
 ip ospf cost 10
!
interface enp1s0
 description skudlik_lan
 ip ospf cost 10
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface enp2s0
 description pucmeloun
 ip ospf cost 10
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan107
 description sektor_5n
 ip ospf cost 50
 ip ospf priority 2
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan108
 description peer_prazska_2
 ip ospf cost 20
 ip ospf priority 2
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
router ospf
  ospf router-id 10.102.5.129
  passive-interface vlan300
  passive-interface vlan301
  passive-interface dummy0
! 
  network 10.102.26.192/29 area 2
  network 10.102.5.192/29 area 2
!
  network 10.102.5.128/25 area 2
  network 10.102.23.192/27 area 2
  network 10.102.26.224/29 area 2
!
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 10.218.0.0/16
access-list term permit 127.0.0.1/32
access-list term permit 10.102.222.0/24
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term
